Get Me

Get Me
Get the currently authenticated user

This endpoint is responsible for fetching the currently authenticated user. For more information, check the specification: https://tools.ietf.org/html/rfc7644#section-3.11.

Request
URI
GET
https://{api_host}/usergroup/t/{tenant}/scim/v2/Me
COPY
Path Parameters
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant

Authentication
This operation uses the following authentication methods.
Responses
200

The authenticated user was successfully fetched.

Returns UserMedia of type(s) application/scim+json
{
    "name": {
        "middleName": "MyMiddleName",
        "familyName": "MyFamilyName",
        "givenName": "MyGivenName"
    },
    "displayName": "My Display Name",
    "profileUrl": "https://example.com/usergroup/scim/v2/Users/da916af2-4c19-4ddb-89bd-363dbb79da29",
    "active": true,
    "nickName": "My Casual Name",
    "emails": [
        {
            "value": "[email protected]",
            "primary": "true",
            "display": "my work email"
        }
    ],
    "phoneNumbers": [
        {
            "value": "555-555-5555",
            "type": "work",
            "primary": true
        }
    ],
    "photos": [
        {
            "value": "https://photos.example.com/profilephoto/72930000000Ccne/F",
            "type": "photo",
            "primary": true,
            "display": "Example photo"
        }
    ],
    "ims": [
        {
            "value": "[email protected]",
            "type": "skype",
            "primary": true,
            "display": "ims_example"
        }
    ],
    "addresses": [
        {
            "type": "home",
            "region": "CA",
            "country": "USA",
            "primary": true,
            "formatted": "456 Hollywood Blvd\nHollywood, CA 91608 USA",
            "streetAddress": "456 Hollywood Blvd",
            "postalCode": "91608",
            "locality": "Hollywood"
        }
    ],
    "userName": "my_user_name",
    "title": "Example title",
    "groups": [
        {
            "value": "e9e30dba-f08f-4109-8486-d5c6a331660a",
            "$ref": "https://example.com/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a",
            "display": "Example Group"
        }
    ],
    "id": "string",
    "meta": {
        "location": "string",
        "version": "string",
        "lastModified": "string",
        "resourceType": "string",
        "created": "string"
    },
    "externalId": "string",
    "schemas": [
        "string"
    ]
}

400

The request contains invalid information.

Operation doesn't return any data structure

404

The user was not found.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/usergroup/t/{tenant}/scim/v2/Me